#### Description:

This function permutes the order in which a Frame`’` s axes occur.

#### Synopsis

void astPermAxes( AstFrame ∗this, const int perm[] )

#### Parameters:

##### this

Pointer to the Frame.

##### perm

An array with one element for each axis of the Frame (Naxes attribute). This should list the axes in their new order, using the original axis numbering (which starts at 1 for the first axis).

#### Notes:

- Only genuine permutations of the axis order are permitted, so each axis must be referenced exactly once in the `"` perm`"` array.

- If successive axis permutations are applied to a Frame, then the effects are cumulative.

Copyright (C) 2021 East Asian Observatory